NL(1)

NAVN
nl - number lines of files

OVERSIKT
nl [VALG]... [FIL]...

BESKRIVELSE

Skriv ut hver FIL til standardutdata, og marker linjenumre.

Hvis ingen FIL er valgt, eller hvis FIL er «-», leser programmet standard inndata.

Argumenter som er obligatoriske for lange valg, er også obligatoriske for korte valg.

-b, --body-numbering=STIL
    Bruk valgt STIL ved linjenummerering.

-d, --section-delimiter=CC
    Bruk CC for å skille logiske sider.

-f, --footer-numbering=STIL
    Bruk STIL for å nummerere bunntekst.

-h, --header-numbering=STIL
    Bruk valgt STIL ved nummerering av overskrifter.

-i, --line-increment=NUMMER
    Hvor mye linjenummeret skal økes per linje.

-l, --join-blank-lines=NUMMER
    Hvor mange tomme linjer som regnes som én.

-n, --number-format=FORMAT
    Sett inn linjenumre i angitt FORMAT.

-p, --no-renumber
    Ikke tilbakestill linjenumre på logiske sider.

-s, --number-separator=STRENG
    Legg til STRENG etter (mulig) linjenummer.

-v, --starting-line-number=NUMMER
    Første linjenummer per logisk side.

-w, --number-width=NUMMER
    Plasser linjenumre i valgte NUMMERkolonner.

--help
    Vis denne hjelpeteksten og avslutt.

--version
    Vis versjonsinformasjon og avslutt.

Forvalg er: -bt -d'\:' -fn -hn -i1 -l1 -n'rn' -s<TAB> -v1 -w6

CC are two delimiter characters used to construct logical page delimiters; a missing second character implies ':'. As a GNU extension one can specify more than two characters, and also specifying the empty string (-d ”) disables section matching.

Følgende STILer er gyldige:

a   gi alle linjer et nummer

t   bare gi linjenummer til linjer som ikke er tomme

n   ikke gi linjer et nummer

pBRE
    gi kun linjenummer til linjer hvis innhold samsvarer med et regulært uttrykk (BRE)

Følgende FORMATer er gyldige:

ln  venstrejustert, uten ledende null

rn  høyrejustert, uten ledende null

rz  høyrejustert, med ledende null

OPPHAVSMANN
Skrevet av Scott Bartram og David MacKenzie.

RAPPORTERING AV FEIL
Få hjelp til bruk av GNU coreutils på nett: <https://www.gnu.org/software/coreutils/>
Rapporter oversettelsesfeil til <https://translationproject.org/team/nb.html>

SE OGSÅ
Fullstendig dokumentasjon: <https://www.gnu.org/software/coreutils/nl>
eller lokalt: info '(coreutils) nl invocation'

Packaged by Debian (9.7-2)
Copyright © 2025 Free Software Foundation, Inc.
Lisens GPLv3+: GNU GPL versjon 3 eller senere <https://gnu.org/licenses/gpl.html>.
Dette er fri programvare. Du kan endre og dele den videre.
Det stilles INGEN GARANTI, i den grad dette tillates av gjeldende lovverk.

OVERSETTELSE
Den norske oversettelsen av denne manualsiden er laget av

Denne oversettelsen er gratis dokumentasjon; se GNU General Public License versjon 3 (https://www.gnu.org/licenses/gpl-3.0.html) eller senere for opphavsrettsvilkår. Vi påtar oss INGEN ANSVAR.

Hvis du finner feil i oversettelsen av denne håndboksiden, vennligst send en e-post til <TODO>.